Package org.osgi.framework.wiring

# Interface BundleRevisions

All Superinterfaces:
  `BundleReference`

@ProviderType public interface BundleRevisions extends BundleReference
The `bundle revisions` of a bundle. When a bundle is installed and each time a bundle is updated, a new bundle revision of the bundle is created. For a bundle that has not been uninstalled, the most recent bundle revision is defined to be the current bundle revision. A bundle in the UNINSTALLED state does not have a current revision. An in use bundle revision is associated with an `in use` `BundleWiring`. The current bundle revision, if there is one, and all in use bundle revisions are returned.

The bundle revisions for a bundle can be obtained by calling `bundle.adapt`(`BundleRevisions`.class). `getRevisions()` on the bundle.

## Method Summary

Modifier and Type
Method
Description
`List<BundleRevision>`
`getRevisions()`
Return the bundle revisions for the `referenced` bundle.

### Methods inherited from interface org.osgi.framework.BundleReference

`getBundle`

## Method Details

### getRevisions

List<BundleRevision> getRevisions()
Return the bundle revisions for the `referenced` bundle.

The result is a list containing the current bundle revision, if there is one, and all in use bundle revisions. The list may also contain intermediate bundle revisions which are not in use.

The list is ordered in reverse chronological order such that the first item is the most recent bundle revision and last item is the oldest bundle revision.

Generally the list will have at least one bundle revision for the bundle: the current bundle revision. However, for an uninstalled bundle with no in use bundle revisions, the list may be empty.

Returns:
  A list containing a snapshot of the `BundleRevision`s for the referenced bundle.